Bug 207851 - old ide drivers too noisy
old ide drivers too noisy
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Alan Cox
Brian Brock
trivial, patch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-24 14:51 EDT by Dumitru Ciobarcianu
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-27 10:52:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
trivial patch replacing KERN_ERR with KERN_INFO (816 bytes, patch)
2006-09-24 14:51 EDT, Dumitru Ciobarcianu
no flags Details | Diff

  None (edit)
Description Dumitru Ciobarcianu 2006-09-24 14:51:41 EDT
When using the ata_piix driver and the "quiet" kernel option the old ide layer
thinks that's ok to make some noise:

ide0: I/O resource 0x1F0-0x1F7 not free.
ide0: ports already in use, skipping probe
ide1: I/O resource 0x170-0x177 not free.
ide1: ports already in use, skipping probe

This is disturbing, for the unsuspecting end-user who thinks there might be a
problem.
Comment 1 Dumitru Ciobarcianu 2006-09-24 14:51:41 EDT
Created attachment 137020 [details]
trivial patch replacing KERN_ERR with KERN_INFO
Comment 2 Alan Cox 2006-09-27 10:52:01 EDT
In some cases there -is- a problem. I'm going to close this as WONTFIX, but if
you want to suggest it to the linux-kernel mailing list and see if there are
ideas there for a better solution please do so.

(or if you have any other suggestions on wording the message more clearly
re-open the bug and let me know)

Note You need to log in before you can comment on or make changes to this bug.